// -------------------------------------------------------------------------------------
//
// FiFa30Rahmen.CPP                                               Ulrich Mller 19.07.02
//                                                                PCS1700 C++Builder 4.0
// TestRahmen fr die Unit FishFa30 v3.0.23
//
//--------------------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "FiFa30Rahmen.h"

#pragma package(smart_init)
#pragma resource "*.dfm"
TfrmMain *frmMain;

__fastcall TfrmMain::TfrmMain(TComponent* Owner)
  : TForm(Owner)
{
}

//--- cmdEndeClick : Programm beenden --------------------------------------------------
void __fastcall TfrmMain::cmdEndeClick(TObject *Sender)
{
  Close();
}

//--- cmdActionClick : Betriebsprogramm ------------------------------------------------

void __fastcall TfrmMain::cmdActionClick(TObject *Sender)
{
    TFishFace ft = TFishFace(true, false, 0);
    lblVersion->Caption = "FishFa30 Version : " + IntToStr(ft.Version);
    try
    {
        ft.OpenInterface("COM1");        // --- Interface an COM1

        lblStatus->Caption = "--- Running ---";
        cmdAction->Enabled = false;
        cmdEnde->Caption = "&ENDE";
        cmdEnde->Enabled = false;
        lblHinweis->Visible = true;

        ft.SetMotor(1, ftiLinks);
        ft.WaitForTime(1234);
        ft.SetMotor(1, ftiAus);
        ft.SetMotor(2, ftiRight, 8);
        lblStatus->Caption = "EX : " + IntToStr(ft.GetAnalog(ftiEX));
        ft.Pause(1234);
        ft.SetMotor(2, ftiOff);

// ---  Motor an M3, EndTaster an E5, ImpulsTaster an E6 -----------------
//      Motor    M4,              E7,                 E8
//      Starten Motoren zu den Positionen 166 Links(full) und 22 Rechts(half Speed)
//      Warten auf Erreichen der Zielposition, dabei Ausgabe der akt. Positionen

        ft.SetMotor(ftiM3, ftiLeft, ftiFull, 166);
        ft.SetMotor(ftiM4, ftiRight, ftiHalf, 22);
        while(ft.WaitForMotors(222, ftiM3, ftiM4) == ftiTime)
            lblStatus->Caption = "Position : " + IntToStr(ft.GetCounter(ftiE6)) + " - " +
                    IntToStr(ft.GetCounter(ftiE8));
       lblStatus->Caption = "Position : " + IntToStr(ft.GetCounter(ftiE6)) + " - " +
                                            IntToStr(ft.GetCounter(ftiE8));

        ft.Pause(1234);
        ft.CloseInterface();

        lblStatus->Caption = "--- Finished ---";
        cmdAction->Enabled = true;
        cmdEnde->Enabled = true;
        lblHinweis->Visible = false;
    }
    catch(TFishFaceException& fte)
  {
    lblStatus->Caption = IntToStr(fte.Nr) + " : " + fte.Text;
    cmdAction->Enabled = true;
    cmdEnde->Enabled = true;
  }
}








